plugins {
	id 'java'
	id 'org.springframework.boot' version '4.0.3'
	id 'io.spring.dependency-management' version '1.1.7'
	id 'gg.jte.gradle' version '3.2.3'
}

group = 'com.example'
version = '0.0.1-SNAPSHOT'
description = 'Demo project for Spring Boot'

java {
	toolchain {
		languageVersion = JavaLanguageVersion.of(25)
	}
}

repositories {
	mavenCentral()
}

configurations {
			compileOnly {
				extendsFrom annotationProcessor
			}
		}



dependencies {
	implementation 'org.springframework.boot:spring-boot-starter-data-jpa'
	implementation 'gg.jte:jte-spring-boot-starter-4:3.2.3'
	implementation 'gg.jte:jte:3.2.3'
	implementation 'org.springframework.boot:spring-boot-starter-webmvc'
	runtimeOnly 'com.microsoft.sqlserver:mssql-jdbc'
	testImplementation 'org.springframework.boot:spring-boot-starter-data-jpa-test'
	testRuntimeOnly 'org.junit.platform:junit-platform-launcher'
	annotationProcessor 'org.projectlombok:lombok'
	compileOnly 'org.projectlombok:lombok'
}

jte {
	generate()
	binaryStaticContent = true
}

tasks.named('test') {
	useJUnitPlatform()
}
